Support Questions
Find answers, ask questions, and share your expertise

HDP 2.6.4.0 cluster creation is getting failed due to "contents don't match"​ error

Expert Contributor

Dear All,

Need your help badly on the below error. I have setup all and trying to install one namenode and 2 datanodes and getting error regarding the repository. Kindly see the below details and help me out. I'm using redhat 7.4 release. This is a new set up and environment is on aws cloud. (Not old nodes) Error log is also attached.

Main error " Writing File['/etc/yum.repos.d/ambari-hdp-1.repo'] because contents don't match "

Other errors

"

Traceback (most recent call last):
File "/var/lib/ambari-agent/cache/common-services/YARN/2.1.0.2.0/package/scripts/application_timeline_server.py", line 89, in <module>
ApplicationTimelineServer().execute()
File "/usr/lib/python2.6/site-packages/resource_management/libraries/script/script.py", line 375, in execute
method(env)
File "/var/lib/ambari-agent/cache/common-services/YARN/2.1.0.2.0/package/scripts/application_timeline_server.py", line 38, in install
self.install_packages(env)
File "/usr/lib/python2.6/site-packages/resource_management/libraries/script/script.py", line 811, in install_packages
name = self.format_package_name(package['name'])
File "/usr/lib/python2.6/site-packages/resource_management/libraries/script/script.py", line 546, in format_package_name
raise Fail("Cannot match package for regexp name {0}. Available packages: {1}".format(name, self.available_packages_in_repos))
resource_management.core.exceptions.Fail: Cannot match package for regexp name hadoop_${stack_version}-yarn. Available packages: ['accumulo', 'accumulo-conf-standalone', 'accumulo-source',

"

"2018-02-13 12:08:32,217 - The 'hadoop-hdfs-datanode' component did not advertise a version. This may indicate a problem with the component packaging. However, the stack-select tool was able to report a single version installed (2.6.4.0-91). This is the version that will be reported.
Command aborted. Reason: 'Server considered task failed and automatically aborted it' "

$ yum repolist
Loaded plugins: amazon-id, rhui-lb, search-disabled-repos
repo id repo name status
HDP-2.6-GPL-repo-1 HDP-2.6-GPL-repo-1 4
HDP-2.6-repo-1 HDP-2.6-repo-1 232
HDP-UTILS-1.1.0.22-repo-1 HDP-UTILS-1.1.0.22-repo-1 16
ambari-2.6.1.0 ambari Version - ambari-2.6.1.0 12
rhui-REGION-client-config-server-7/x86_64 Red Hat Update Infrastructure 2.0 Client Configuration Ser 1
rhui-REGION-rhel-server-releases/7Server/x86_64 Red Hat Enterprise Linux Server 7 (RPMs) 18,035
rhui-REGION-rhel-server-rh-common/7Server/x86_64 Red Hat Enterprise Linux Server 7 RH Common (RPMs) 231
repolist: 18,531

$ cat ambari.repo
#VERSION_NUMBER=2.6.1.0-143
[ambari-2.6.1.0]
name=ambari Version - ambari-2.6.1.0
baseurl=http://public-repo-1.hortonworks.com/ambari/centos7/2.x/updates/2.6.1.0
gpgcheck=1
gpgkey=http://public-repo-1.hortonworks.com/ambari/centos7/2.x/updates/2.6.1.0/RPM-GPG-KEY/RPM-GPG-KEY-Jenk...
enabled=1
priority=1

$ cat ambari-hdp-1.repo
[HDP-2.6-repo-1]
name=HDP-2.6-repo-1
baseurl=http://public-repo-1.hortonworks.com/HDP/centos7/2.x/updates/2.6.4.0

path=/
enabled=1
gpgcheck=0
[HDP-2.6-GPL-repo-1]
name=HDP-2.6-GPL-repo-1
baseurl=http://public-repo-1.hortonworks.com/HDP-GPL/centos7/2.x/updates/2.6.4.0

path=/
enabled=1
gpgcheck=0
[HDP-UTILS-1.1.0.22-repo-1]
name=HDP-UTILS-1.1.0.22-repo-1
baseurl=http://public-repo-1.hortonworks.com/HDP-UTILS-1.1.0.22/repos/centos7

path=/
enabled=1
gpgcheck=0[root@eim-preprod-namenode-1]:/etc/yum.repos.d

56705-cluster-failure.png

1 ACCEPTED SOLUTION

Accepted Solutions

Re: HDP 2.6.4.0 cluster creation is getting failed due to "contents don't match"​ error

Expert Contributor

Hi All, I'm closing this thread. Looks like some error with the repository on 2.6.4.0 version. I have cleaned up and installed 2.6.2.0 version and it went fine, but have some error in starting few services like history server and I can fix that with the information in the logs. Thank you.

View solution in original post

3 REPLIES 3

Re: HDP 2.6.4.0 cluster creation is getting failed due to "contents don't match"​ error

Expert Contributor

Hi All, I'm closing this thread. Looks like some error with the repository on 2.6.4.0 version. I have cleaned up and installed 2.6.2.0 version and it went fine, but have some error in starting few services like history server and I can fix that with the information in the logs. Thank you.

View solution in original post

Re: HDP 2.6.4.0 cluster creation is getting failed due to "contents don't match"​ error

New Contributor

Hi @Muthukumar S how did you determine that it was an issue with the repos? Has this issue been fixed? I am stilling seeing this issue when trying to install using Blueprints.

,

Hey @Muthukumar S, how did you find out that there was an error with the HDP 2.6.4.0 repo? Is it still like that? I am having the same problem it seems for HDP 2.6.4.0 but only when I install using blueprints

Re: HDP 2.6.4.0 cluster creation is getting failed due to "contents don't match"​ error

New Contributor

Yes, even I'm facing the same issue